import * as React from 'react';
import './style.css';
export interface Option {
    label: string;
    value: string | number;
    iconEnd?: React.ReactNode;
    iconStart?: React.ReactNode;
}
export declare type Selection = string | number | (string | number)[];
export interface SelectboxProps {
    arrow?: React.ReactNode;
    className?: string;
    id?: string;
    iconEnd?: React.ReactNode;
    iconStart?: React.ReactNode;
    label: string;
    material?: boolean;
    multiple?: boolean;
    multipleSave?: string;
    name?: string;
    /**set only true if multiple === false */
    native?: boolean;
    onSelect: (selection: Selection) => void;
    options: Option[];
    selection?: Selection;
    style?: React.CSSProperties;
}
export declare const Selectbox: React.FunctionComponent<SelectboxProps>;
